Create client credentials for a reseller customer

This API is used by reseller partners to create a client and client app for a reseller customer and retrieve the clientApiKey and clientSecret required for API authentication. A direct reseller login is required, and the customerId must be mapped to the logged-in reseller.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Status Values:

CREATED – Credentials were successfully created. The clientApiKey and clientSecret are returned in plaintext.

ALREADY_EXISTS – Credentials already exist for the reseller customer. The existing clientApiKey and clientSecret are returned.

UNSUCCESSFULL – Provisioning failed, for example, if the customer is not mapped to the reseller. Both keys are returned as null.

Body Params

Provide the customerId of the reseller customer mapped to your reseller account, and a clientAppName for the application.

int64
required

ID of the reseller customer mapped to the logged-in reseller account.

string
required

Name of the client application. Maximum 50 characters; letters and spaces only (pattern ^[ A-Za-z]+$).

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json